Package org.springframework.web.servlet.function

# Interface HandlerFunction<T extends ServerResponse>

Type Parameters:
  `T` - the type of the response of the function

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface HandlerFunction<T extends ServerResponse>
Represents a function that handles a request.

Since:
  5.2
Author:
  Arjen Poutsma
See Also:
  - `RouterFunction`

## Method Summary

Modifier and Type
Method
Description
`T`
`handle(ServerRequest request)`
Handle the given request.

## Method Details

### handle

T handle(ServerRequest request) throws Exception
Handle the given request.

Parameters:
  `request` - the request to handle
Returns:
  the response
Throws:
  `Exception`